安装帝国cms出现这样错误代码的解决办法

发布时间:2019-03-27 14:58:37   分类:帝国cms教程0
当安装帝国cms出现以下这样错误代码之解决办法:
 
建立数据表: phome_enewsad 完毕......
You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'TYPE=MYISAM' at line 1
CREATE TABLE `phome_enewsad` ( `adid` int(10) unsigned NOT NULL auto_increment, `picurl` varchar(255) NOT NULL default '', `url` text NOT NULL, `pic_width` int(10) unsigned NOT NULL default '0', `pic_height` int(10) unsigned NOT NULL default '0', `onclick` int(10) unsigned NOT NULL default '0', `classid` smallint(5) unsigned NOT NULL default '0', `adtype` tinyint(3) unsigned NOT NULL default '0', `title` varchar(100) NOT NULL default '', `target` varchar(10) NOT NULL default '', `alt` varchar(120) NOT NULL default '', `starttime` date NOT NULL default '0000-00-00', `endtime` date NOT NULL default '0000-00-00', `adsay` varchar(255) NOT NULL default '', `titlefont` varchar(14) NOT NULL default '', `titlecolor` varchar(10) NOT NULL default '', `htmlcode` text NOT NULL, `t` tinyint(3) unsigned NOT NULL default '0', `ylink` tinyint(1) NOT NULL default '0', `reptext` text NOT NULL, PRIMARY KEY (`adid`), KEY `classid` (`classid`), KEY `t` (`t`)) TYPE=MyISAM
 
 
解决办法:
 
这是因为高版本的mysql 中TYPE=MYISAM这种写法不被支持了,应该写成ENGINE=MYISAM,要想成功安装,请在安装时自动选择下mysql版本。
 
安装的时候,有一步是选择数据库,你手动选择一下数据库,数据库你选择最后一项就可以了,可以安装成功的。
QQ咨询